<?
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::table('tasks', function (Blueprint $table) {

            $table->enum('attachment_type', [
                'file',
                'link'
            ])->nullable()->after('description');

            $table->string('attachment_path')->nullable()->after('attachment_type');

        });
    }

    public function down(): void
    {
        Schema::table('tasks', function (Blueprint $table) {
            $table->dropColumn([
                'attachment_type',
                'attachment_path',
            ]);
        });
    }
};
